%define majver %(echo %version | cut -d. -f1-2)
%define libgl_majver %(echo %version | cut -d. -f 1)
%define libgl_minver %(echo %version | cut -d. -f 3)
%define pkgver %(echo %version | sed s/\.rc/-rc/)
#%ifarch arm
#%define dri_libglver 1.5.0800%libgl_minver
#%else
%define dri_libglver 1.2
#%endif

Name:          Mesa
Epoch:         1
Version:       17.2.6
Release:       1mamba
Summary:       A 3-D graphics library with an API which is very similar to that of OpenGL
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://mesa3d.sourceforge.net/
Source:        ftp://ftp.freedesktop.org/pub/mesa/mesa-%{version}.tar.xz
#Source:        http://www.mesa3d.org/beta/MesaLib-%{pkgver}.tar.gz
Source3:       Mesa-7.0.3-libGL.la
Patch0:        %{name}-7.10.2-driproto-2.4.patch
Patch1:        %{name}-7.10.2-fix_nouveau_dri_includes.patch
Patch2:        %{name}-8.0.4-llvm-3.1-fixes-1.patch
Patch3:        Mesa-10.2.7-llvm-3.5.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXv-devel
BuildRequires: libXvMC-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libbsd-devel
BuildRequires: libdrm-devel
BuildRequires: libelf-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libgcc
BuildRequires: libllvm-devel
BuildRequires: libomxil-bellagio-devel
BuildRequires: libpciaccess-devel
BuildRequires: libstdc++6-devel
BuildRequires: libunwind-devel
BuildRequires: libwayland-devel
BuildRequires: libxcb-devel
BuildRequires: libxshmfence-devel
BuildRequires: libz-devel
BuildRequires: lm_sensors-devel
## AUTOBUILDREQ-END
BuildRequires: libdrm
BuildRequires: libllvm-devel >= 5.0.0
BuildRequires: xproto-devel >= 7.1
BuildRequires: dri2proto-devel
BuildRequires: glproto-devel
BuildRequires: makedepend >= 1.0.0
BuildRequires: libudis86-devel
BuildRequires: liblesstif-devel
BuildRequires: libvdpau-devel
BuildRequires: dri3proto-devel
BuildRequires: presentproto-devel
%ifnarch arm
BuildRequires: libclc-devel
%endif
Provides:      libgl
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Mesa is a 3-D graphics library with an API which is very similar to that of OpenGL.
To the extent that Mesa utilizes the OpenGL command syntax or state machine, it is being used with authorization from Silicon Graphics, Inc.(SGI). However, the author does not possess an OpenGL license from SGI, and makes no claim that Mesa is in any way a compatible replacement for OpenGL or associated with SGI. Those who want a licensed implementation of OpenGL should contact a licensed vendor.

%package -n libGL-Mesa-dri
Summary:       Mesa implementation of the OpenGL 3-D graphics library
Group:         System/Libraries
Provides:      libGL.so.1
Obsoletes:     libGL-Mesa-X11
Obsoletes:     libGL-Mesa-fbdev
Provides:      libGL-Mesa-X11
Provides:      xorglibGL
Requires:      libglapi == %{?epoch:%epoch:}%{version}-%{release}

%description -n libGL-Mesa-dri
Mesa implementation of the  OpenGL 3-D graphics library.


%package -n libGL-Mesa-fbdev
Summary:       Mesa implementation of the OpenGL 3-D graphics library
Group:         System/Libraries
Provides:      libGL.so.1

%description -n libGL-Mesa-fbdev
Mesa implementation of the OpenGL 3-D graphics library.

%package -n Mesa-tools
Summary:       Utilities and demos for the Mesa GL libraries
Group:         System/Tools

%description -n Mesa-tools
Utilities and demos for the Mesa GL libraries.

%package -n libGL-devel
Summary:       Mesa implementation of the OpenGL 3-D graphics library
Group:         Development/Libraries
Obsoletes:     libGL-Mesa-X11-devel
Obsoletes:     libGL-Mesa-indirect-devel
Requires:      libGL-Mesa-dri == %{?epoch:%epoch:}%{version}-%{release}

%description -n libGL-devel
Mesa implementation of the OpenGL 3-D graphics library.
This package contains the headers and other files needed for development.

%package -n libGL-Mesa-indirect-devel
Summary:       Mesa implementation of the OpenGL 3-D graphics library
Group:         Development/Libraries
Obsoletes:     libGL-Mesa-X11-devel

%description -n libGL-Mesa-indirect-devel
Mesa implementation of the OpenGL 3-D graphics library.
This package contains the headers and other files needed for development.

%package -n libGLU
Summary:       Mesa implementation of the OpenGL 3-D graphics library
Group:         System/Libraries
Obsoletes:     libXorg

%description -n libGLU
Mesa implementation of the OpenGL 3-D graphics library.

%package -n libGLU-devel
Summary:       Mesa implementation of the OpenGL 3-D graphics library
Group:         Development/Libraries
Requires:      libGLU == %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libXorg-devel

%description -n libGLU-devel
An OpenGL 3-D graphics library using Linux Framebuffer device.
This package contains the headers and other files needed for development.

%package -n libGLw
Summary:       Mesa implementation of the OpenGL 3-D graphics library
Group:         System/Libraries

%description -n libGLw
Mesa implementation of the OpenGL 3-D graphics library.

%package -n libGLw-devel
Summary:       Mesa implementation of the OpenGL 3-D graphics library
Group:         Development/Libraries
Requires:      libGLw == %{?epoch:%epoch:}%{version}-%{release}

%description -n libGLw-devel
Mesa implementation of the OpenGL 3-D graphics library.
This package contains the headers and other files needed for development.

%package -n libEGL
Summary:       Mesa implementation of the EGL graphics library
Group:         System/Libraries
Requires:      libglapi == %{?epoch:%epoch:}%{version}-%{release}

%description -n libEGL
Mesa implementation of the OpenGL ES 1.0 graphics library.

%package -n libEGL-devel
Summary:       Mesa implementation of the EGL graphics library
Group:         Development/Libraries
Requires:      libEGL == %{?epoch:%epoch:}%{version}-%{release}

%description -n libEGL-devel
Mesa implementation of the OpenGL EGL graphics library.
This package contains the headers and other files needed for development.

%package -n libGLESv1
Summary:       Mesa implementation of the OpenGL ES 1.0 graphics library
Group:         System/Libraries
Requires:      libglapi == %{?epoch:%epoch:}%{version}-%{release}

%description -n libGLESv1
Mesa implementation of the OpenGL ES 1.0 graphics library.

%package -n libGLESv1-devel
Summary:       Mesa implementation of the OpenGL ES 1.0 graphics library
Group:         Development/Libraries
Requires:      libGLESv1 == %{?epoch:%epoch:}%{version}-%{release}

%description -n libGLESv1-devel
Mesa implementation of the OpenGL ES 1.0 graphics library.
This package contains the headers and other files needed for development.

%package -n libGLESv2
Summary:       Mesa implementation of the OpenGL ES 2.0 graphics library
Group:         System/Libraries
Requires:      libglapi == %{?epoch:%epoch:}%{version}-%{release}

%description -n libGLESv2
Mesa implementation of the OpenGL ES 2.0 graphics library.

%package -n libGLESv2-devel
Summary:       Mesa implementation of the OpenGL ES 2.0 graphics library
Group:         Development/Libraries
Requires:      libGLESv2 == %{?epoch:%epoch:}%{version}-%{release}

%description -n libGLESv2-devel
Mesa implementation of the OpenGL ES 2.0 graphics library.
This package contains the headers and other files needed for development.

%package -n libglapi
Summary:       The Mesa GL API module responsibile for dispatching all the gl* fuctions
Group:         System/Libraries

%description -n libglapi
The Mesa GL API module is responsibile for dispatching all the gl* fuctions.
It is intended to be mainly used by both the libGLESv1 and libGLESv2 packages.

%package -n libOSMesa
Summary:       Mesa implementation of the OpenGL 3-D graphics library
Group:         System/Libraries

%description -n libOSMesa
Mesa implementation of the OpenGL 3-D graphics library.

%package -n libOSMesa-devel
Summary:       Mesa implementation of the OpenGL 3-D graphics library
Group:         Development/Libraries
Requires:      libOSMesa == %{?epoch:%epoch:}%{version}-%{release}

%description -n libOSMesa-devel
Mesa implementation of the OpenGL 3-D graphics library.
This package contains the headers and other files needed for development.

%package -n libOpenVG
Summary:       Mesa implementation of the OpenVG graphics library
Group:         System/Libraries

%description -n libOpenVG
Mesa implementation of the OpenVG graphics library.

%package -n libOpenVG-devel
Summary:       Development files for libOpenVG
Group:         Development/Libraries
Requires:      libOpenVG == %{?epoch:%epoch:}%{version}-%{release}

%description -n libOpenVG-devel
Mesa implementation of the OpenVG graphics library.
This package contains the headers and other files needed for development.

%package -n libwayland-egl
Summary:       Mesa implementation of Wayland EGL graphics library
Group:         System/Libraries

%description -n libwayland-egl
Mesa implementation of Wayland EGL graphics library.

%package -n libwayland-egl-devel
Summary:       Development files for libwayland-egl
Group:         Development/Libraries
Requires:      libwayland-egl == %{?epoch:%epoch:}%{version}-%{release}

%description -n libwayland-egl-devel
Mesa implementation of Wayland EGL graphics library.
This package contains the headers and other files needed for development.

%package -n libxatracker
Summary:       Mesa XA tracker library
Group:         System/Libraries

%description -n libxatracker
Mesa XA tracker library.

%package -n libxatracker-devel
Summary:       Development files for libxatracker
Group:         Development/Libraries
Requires:      libxatracker == %{?epoch:%epoch:}%{version}-%{release}

%description -n libxatracker-devel
Mesa XA tracker library.
This package contains the headers and other files needed for development.

%package -n libgbm
Summary:       Mesa generic buffer management library
Group:         System/Libraries

%description -n libgbm
Mesa generic buffer management library.

%package -n libgbm-devel
Summary:       Development files for libgbm
Group:         Development/Libraries
Requires:      libgbm == %{?epoch:%epoch:}%{version}-%{release}

%description -n libgbm-devel
Mesa generic buffer management library.

This package contains the headers and other files needed for development.

%package -n libvdpau-Mesa
Summary:       Mesa plugins for libvdpau
Group:         System/Libraries
Provides:      vdpauplugins

%description -n libvdpau-Mesa
Mesa plugins for libvdpau.

%package -n libXvMC-Mesa
Summary:       Mesa plugins for libXvMC
Group:         System/Libraries
Provides:      xvmcplugins

%description -n libXvMC-Mesa
Mesa plugins for libXvMC.

%package -n libMesaOpenCL
Summary:       Mesa OpenCL library
Group:         System/Libraries

%description -n libMesaOpenCL
Mesa OpenCL library.

%package -n libvulkan-Mesa
Summary:       Mesa vulkan drivers
Group:         System/Libraries

%description -n libvulkan-Mesa
Mesa vulkan drivers.

%debug_package

%prep
%setup -q -n mesa-%{version}
%ifarch arm
# Force libglx dri backend using swrast on non-DRI accelerated platforms
sed -i 's|default_driver="xlib"|default_driver="dri"|' configure
%endif
#%patch2 -p1
#%patch3 -p1

%build
#./autogen.sh \

#export CXXFLAGS="%{optflags} -std=c++11"

%configure \
   --enable-egl \
   --enable-gles1 \
   --enable-gles2 \
   --with-platforms=x11,drm,wayland \
   --enable-driglx-direct \
   --enable-dri \
   --enable-gbm \
   --enable-glx \
   --enable-glx-tls \
   --enable-omx \
   --enable-nine \
   --enable-shared-glapi \
   --enable-vdpau \
   --enable-xvmc \
   --enable-libunwind \
   --enable-lmsensors \
   --enable-gallium-osmesa \
%ifarch arm
   --with-dri-drivers=swrast \
   --with-gallium-drivers=swrast,freedreno \
   --enable-gallium-egl \
   --disable-llvm \
%else
   --enable-texture-float \
   --enable-llvm \
   --disable-llvm-shared-libs \
   --with-gallium-drivers=nouveau,r300,r600,radeonsi,svga,swrast,virgl,swr \
   --with-dri-drivers=i915,i965,nouveau,r200,radeon,swrast \
   --with-vulkan-drivers=intel,radeon \
   --enable-gallium-extra-hud \
   --enable-texture-float \
   --enable-xa \
   --enable-opencl \
   --enable-opencl-icd \
   --enable-r600-llvm-compiler \
   --with-clang-libdir=%{_libdir}/llvm
%endif

# FIXME: (since llvm 5.0.0)
#   --disable-llvm-shared-libs \

#   --enable-libglvnd \

%make
# -j1

#linux-dri-x86 DRI_DRIVER_INSTALL_DIR=%{_libdir}/dri/

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
#install -d %{buildroot}%{_libdir} %{buildroot}%{_bindir}
##cp -a lib/libOSMesa.* preserve/libGL.* %{buildroot}%{_libdir}
#install -m 755 \
#   ../preserve/libGL-indirect.a ../preserve/libGLU-indirect.a \
#   ../preserve/libglut-indirect.a ../preserve/libGLw-indirect.a \
#   %{buildroot}%{_libdir}/

%makeinstall \
   INSTALL_DIR=%{_prefix} \
   DRI_DRIVER_INSTALL_DIR=%{_libdir}/dri/

#install -m 755 progs/xdemos/glxgears progs/xdemos/glxinfo %{buildroot}%{_bindir}

#mv %{buildroot}%{_libdir}/libGL.so.%{dri_libglver} \
#   %{buildroot}%{_libdir}/libGL_so.%{dri_libglver}

# move libGL.so.1.2* under %{_libdir}/mesa to prevent
# libGL.so.1 from being overwritten by ldconfig
install -d -m0755 %{buildroot}%{_libdir}/mesa
mv %{buildroot}%{_libdir}/libGL.so.1.2.0 %{buildroot}%{_libdir}/mesa/
ln -s libGL.so.1.2.0 %{buildroot}%{_libdir}/mesa/libGL.so.1.2
ln -sf mesa/libGL.so.1.2.0 %{buildroot}%{_libdir}/libGL.so

##remove the include that conflicts with liglew
#pushd %{buildroot}%{_includedir}/GL
#rm  wglew.h glew.h glxew.h
#popd

#[ -L %{buildroot}%{_libdir}/libGL.so ] && rm -f %{buildroot}%{_libdir}/libGL.so
#ln -s libGL_so.%{dri_libglver} %{buildroot}%{_libdir}/libGL.so

## install libGL.la required for build
#install -m 0755 %{SOURCE3} %{buildroot}%{_libdir}/libGL.la

# remove libGL.so.1 symlink to manage it with alternatives
rm -f %{buildroot}%{_libdir}/libGL.so.1

rm -f %{buildroot}%{_libdir}/*.la

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libGL-Mesa-dri
%ifarch %{_ix86}
CURRARCH=`uname -m`
if [ "$CURRARCH" = "x86_64" ]; then
   ALT_APPEND="-32"
fi
%endif
if [ $1 -ge 1 ]; then
   # remove old alternative
   /usr/sbin/update-alternatives --remove libGL.so.1 \
      %{_libdir}/libGL_so.%{dri_libglver} &>/dev/null
   /usr/sbin/update-alternatives \
      --install %{_libdir}/libGL.so.1 libGL.so.1${ALT_APPEND} \
      %{_libdir}/mesa/libGL.so.%{dri_libglver} 50
fi
exit 0

%preun -n libGL-Mesa-dri
%ifarch %{_ix86}
CURRARCH=`uname -m`
if [ "$CURRARCH" = "x86_64" ]; then
   ALT_APPEND="-32"
fi
%endif
if [ $1 -eq 0 ]; then
   /usr/sbin/update-alternatives --remove libGL.so.1${ALT_APPEND} \
      %{_libdir}/mesa/libGL.so.%{dri_libglver}
fi
exit 0

%post -n libGLU -p /sbin/ldconfig
%postun -n libGLU -p /sbin/ldconfig

%post -n libGLw -p /sbin/ldconfig
%postun -n libGLw -p /sbin/ldconfig

%post -n libGLESv1 -p /sbin/ldconfig
%postun -n libGLESv1 -p /sbin/ldconfig

%post -n libGLESv2 -p /sbin/ldconfig
%postun -n libGLESv2 -p /sbin/ldconfig

%post -n libOSMesa -p /sbin/ldconfig
%postun -n libOSMesa -p /sbin/ldconfig

%post -n libvdpau-Mesa -p /sbin/ldconfig
%postun -n libvdpau-Mesa -p /sbin/ldconfig

%post -n libXvMC-Mesa -p /sbin/ldconfig
%postun -n libXvMC-Mesa -p /sbin/ldconfig

%post -n libGL-devel
sed -i "s|%{_libdir}/libGL.la||" %{_libdir}/*.la
%ifarch x86_64
sed -i "s|%{_prefix}/lib/libGL.la||" %{_libdir}/*.la
%endif
:

%post -n libxatracker -p /sbin/ldconfig
%postun -n libxatracker -p /sbin/ldconfig

%post -n libMesaOpenCL -p /sbin/ldconfig
%postun -n libMesaOpenCL -p /sbin/ldconfig

%post -n libwayland-egl -p /sbin/ldconfig
%postun -n libwayland-egl -p /sbin/ldconfig

%files -n libgbm
%defattr(-,root,root)
%{_libdir}/libgbm.so.*
#%dir %{_libdir}/gbm
#%{_libdir}/gbm/gbm_gallium_drm.so
#%{_libdir}/gbm/gbm_gallium_drm.la
#%{_libdir}/gbm/pipe_swrast.so
#%ifarch %{ix86} x86_64
#%{_libdir}/gbm/pipe_nouveau.so
#%{_libdir}/gbm/pipe_r300.so
#%{_libdir}/gbm/pipe_r600.so
#%endif

%files -n libgbm-devel
%defattr(-,root,root)
%{_includedir}/gbm.h
%{_libdir}/libgbm.so
%{_libdir}/pkgconfig/gbm.pc

%files -n libEGL
%defattr(-,root,root)
%{_libdir}/libEGL.so.*
#%dir %{_libdir}/egl
#%{_libdir}/egl/egl_gallium.so
%ifarch %{ix86} x86_64
%dir %{_libdir}/gallium-pipe
#%{_libdir}/gallium-pipe/pipe_i965.la
#%{_libdir}/gallium-pipe/pipe_i965.so
%{_libdir}/gallium-pipe/pipe_nouveau.la
%{_libdir}/gallium-pipe/pipe_nouveau.so
%{_libdir}/gallium-pipe/pipe_r300.la
%{_libdir}/gallium-pipe/pipe_r300.so
%{_libdir}/gallium-pipe/pipe_r600.la
%{_libdir}/gallium-pipe/pipe_r600.so
%{_libdir}/gallium-pipe/pipe_radeonsi.la
%{_libdir}/gallium-pipe/pipe_radeonsi.so
%{_libdir}/gallium-pipe/pipe_swrast.la
%{_libdir}/gallium-pipe/pipe_swrast.so
%{_libdir}/gallium-pipe/pipe_vmwgfx.la
%{_libdir}/gallium-pipe/pipe_vmwgfx.so
%endif

%files -n libEGL-devel
%defattr(-,root,root)
#%{_libdir}/egl/egl_gallium.la
%{_libdir}/pkgconfig/egl.pc

%files -n libGL-Mesa-dri
%defattr(-,root,root)
%{_sysconfdir}/drirc
%dir %{_libdir}/mesa
%{_libdir}/mesa/libGL.so.*
%{_libdir}/bellagio/libomx_mesa.la
%{_libdir}/bellagio/libomx_mesa.so
%ifnarch arm
%{_libdir}/libswrAVX.so.*
%{_libdir}/libswrAVX2.so.*
%endif
%dir %{_libdir}/d3d
%{_libdir}/d3d/d3dadapter9.so.*
#%{_libdir}/bellagio/libomx_nouveau.la
#%{_libdir}/bellagio/libomx_nouveau.so
#%{_libdir}/bellagio/libomx_r600.la
#%{_libdir}/bellagio/libomx_r600.so
#%{_libdir}/libdricore%{version}*.so.*
%dir %{_libdir}/dri
%{_libdir}/dri/*.so

%files -n libGL-devel
%defattr(-,root,root)
%dir %{_includedir}/EGL
%{_includedir}/EGL/*.h
%dir %{_includedir}/KHR
%{_includedir}/KHR/*.h
%dir %{_includedir}/GL
%{_includedir}/GL/gl.h
%{_includedir}/GL/gl_mangle.h
%{_includedir}/GL/glcorearb.h
%{_includedir}/GL/glext.h
%{_includedir}/GL/glx.h
%{_includedir}/GL/glx_mangle.h
%{_includedir}/GL/glxext.h
#%{_includedir}/GL/vms_x_fix.h
#%{_includedir}/GL/wmesa.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/dri_interface.h
#%{_includedir}/GL/wglext.h
%dir %{_includedir}/d3dadapter
%{_includedir}/d3dadapter/*.h
#%{_libdir}/libGL.la
%{_libdir}/libGL.so
%{_libdir}/libEGL.so
%{_libdir}/libglapi.so
%{_libdir}/d3d/d3dadapter9.la
%{_libdir}/d3d/d3dadapter9.so
%ifnarch arm
%{_includedir}/vulkan/vulkan_intel.h
%{_libdir}/libswrAVX.so
%{_libdir}/libswrAVX2.so
%endif
#%{_libdir}/libdricore%{version}*.so
#%{_libdir}/dri/gallium_drv_video.la
%{_libdir}/pkgconfig/d3d.pc
%{_libdir}/pkgconfig/dri.pc
%{_libdir}/pkgconfig/gl.pc

%ifnarch arm
%files -n libvulkan-Mesa
%{_libdir}/libvulkan_intel.so
%{_libdir}/libvulkan_radeon.so
%{_datadir}/vulkan/icd.d/intel_icd.*.json
%{_datadir}/vulkan/icd.d/radeon_icd.*.json
%endif

%files -n libvdpau-Mesa
%defattr(-,root,root)
%ifarch %{ix86} x86_64
#%{_libdir}/vdpau/libvdpau_nouveau.la
%{_libdir}/vdpau/libvdpau_nouveau.so
%{_libdir}/vdpau/libvdpau_nouveau.so.*
#%{_libdir}/vdpau/libvdpau_r300.la
%{_libdir}/vdpau/libvdpau_r300.so
%{_libdir}/vdpau/libvdpau_r300.so.*
#%{_libdir}/vdpau/libvdpau_r600.la
%{_libdir}/vdpau/libvdpau_r600.so
%{_libdir}/vdpau/libvdpau_r600.so.*
%{_libdir}/vdpau/libvdpau_radeonsi.so
%{_libdir}/vdpau/libvdpau_radeonsi.so.*
%endif
#%{_libdir}/vdpau/libvdpau_softpipe.la
#%{_libdir}/vdpau/libvdpau_softpipe.so
#%{_libdir}/vdpau/libvdpau_softpipe.so.*

%files -n libXvMC-Mesa
%defattr(-,root,root)
%ifarch %{ix86} x86_64
%{_libdir}/libXvMCnouveau.so
%{_libdir}/libXvMCnouveau.so.*
#%{_libdir}/libXvMCr300.so
#%{_libdir}/libXvMCr300.so.*
%{_libdir}/libXvMCr600.so
%{_libdir}/libXvMCr600.so.*
%endif
#%{_libdir}/libXvMCsoftpipe.so
#%{_libdir}/libXvMCsoftpipe.so.*

%files -n libGLESv1
%defattr(-,root,root)
%{_libdir}/libGLESv1_CM.so.*

%files -n libGLESv1-devel
%defattr(-,root,root)
%dir %{_includedir}/GLES
%{_includedir}/GLES/*.h
%{_libdir}/libGLESv1_CM.so
%{_libdir}/pkgconfig/glesv1_cm.pc

%files -n libGLESv2
%defattr(-,root,root)
%{_libdir}/libGLESv2.so.*

%files -n libGLESv2-devel
%defattr(-,root,root)
%dir %{_includedir}/GLES2
%{_includedir}/GLES2/*.h
%{_libdir}/libGLESv2.so
%{_libdir}/pkgconfig/glesv2.pc
# TODO: create subpackage
%dir %{_includedir}/GLES3
%{_includedir}/GLES3/*.h

%files -n libglapi
%defattr(-,root,root)
%{_libdir}/libglapi.so.*

%files -n libOSMesa
%defattr(-,root,root)
%{_libdir}/libOSMesa.so.*

%files -n libOSMesa-devel
%defattr(-,root,root)
%{_includedir}/GL/osmesa.h
%{_libdir}/libOSMesa.so
%{_libdir}/pkgconfig/osmesa.pc

#%files -n libOpenVG
#%defattr(-,root,root)
#%{_libdir}/libOpenVG.so.*

#%files -n libOpenVG-devel
#%defattr(-,root,root)
#%dir %{_includedir}/VG
#%{_includedir}/VG/*.h
#%{_libdir}/libOpenVG.so
#%{_libdir}/pkgconfig/vg.pc

%files -n libwayland-egl
%defattr(-,root,root)
%{_libdir}/libwayland-egl.so.*

%files -n libwayland-egl-devel
%defattr(-,root,root)
%{_libdir}/libwayland-egl.so
%{_libdir}/pkgconfig/wayland-egl.pc

%ifnarch arm
%files -n libxatracker
%defattr(-,root,root)
%{_libdir}/libxatracker.so.*

%files -n libxatracker-devel
%defattr(-,root,root)
%{_includedir}/xa_*.h
%{_libdir}/libxatracker.so
%{_libdir}/pkgconfig/xatracker.pc

%files -n libMesaOpenCL
%defattr(-,root,root)
%{_sysconfdir}/OpenCL/vendors/mesa.icd
%{_libdir}/libMesaOpenCL.so
%{_libdir}/libMesaOpenCL.so.*
%endif

%changelog
* Tue Nov 28 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 17.2.6-1mamba
- update to 17.2.6

* Thu May 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 11.2.2-1mamba
- update to 11.2.2

* Sat Jun 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 10.5.7-2mamba
- support for lib32 alternative when installed on x86_64

* Sun Jun 07 2015 Automatic Build System <autodist@mambasoft.it> 10.5.7-1mamba
- automatic version update by autodist

* Fri Jun 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 10.5.6-1mamba
- update to 10.5.6

* Sat Mar 28 2015 Automatic Build System <autodist@mambasoft.it> 10.4.7-1mamba
- automatic update by autodist

* Sat Feb 21 2015 Automatic Build System <autodist@mambasoft.it> 10.4.5-1mamba
- automatic version update by autodist

* Fri Feb 13 2015 Automatic Build System <autodist@mambasoft.it> 10.4.4-1mamba
- automatic version update by autodist

* Sat Dec 06 2014 Automatic Build System <autodist@mambasoft.it> 10.3.5-1mamba
- automatic version update by autodist

* Thu Dec 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 10.3.4-2mamba
-  move libGL.so.1.2* under %{_libdir}/mesa to prevent libGL.so.1 from being overwritten by ldconfig

* Sat Nov 22 2014 Automatic Build System <autodist@mambasoft.it> 10.3.4-1mamba
- automatic version update by autodist

* Sun Nov 09 2014 Automatic Build System <autodist@mambasoft.it> 10.3.3-1mamba
- automatic version update by autodist

* Sat Oct 25 2014 Automatic Build System <autodist@mambasoft.it> 10.3.2-1mamba
- automatic version update by autodist

* Thu Oct 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 10.3.1-1mamba
- update to 10.3.1

* Sun Sep 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 10.3.0-1mamba
- update to 10.3.0

* Thu Sep 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 10.2.7-2mamba
- rebuild with --enable-xa, --enable-omx, --enable-opencl, --enable-opencl-icd

* Sat Sep 06 2014 Automatic Build System <autodist@mambasoft.it> 10.2.7-1mamba
- automatic version update by autodist

* Wed Aug 20 2014 Automatic Build System <autodist@mambasoft.it> 10.2.6-1mamba
- automatic version update by autodist

* Sun Aug 03 2014 Automatic Build System <autodist@mambasoft.it> 10.2.5-1mamba
- automatic version update by autodist

* Sat Jul 19 2014 Automatic Build System <autodist@mambasoft.it> 10.2.4-1mamba
- automatic version update by autodist

* Tue Jul 08 2014 Automatic Build System <autodist@mambasoft.it> 10.2.3-1mamba
- automatic version update by autodist

* Wed Jun 25 2014 Automatic Build System <autodist@mambasoft.it> 10.2.2-1mamba
- automatic version update by autodist

* Tue Jun 17 2014 Automatic Build System <autodist@mambasoft.it> 10.2.1-1mamba
- automatic version update by autodist

* Wed May 21 2014 Automatic Build System <autodist@mambasoft.it> 10.1.4-1mamba
- automatic version update by autodist

* Sun May 11 2014 Automatic Build System <autodist@mambasoft.it> 10.1.3-1mamba
- automatic version update by autodist

* Wed May 07 2014 Automatic Build System <autodist@mambasoft.it> 10.1.2-1mamba
- automatic version update by autodist

* Mon Apr 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 10.1.1-1mamba
- update to 10.1.1

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 10.1.0-1mamba
- update to 10.1.0

* Tue Feb 04 2014 Automatic Build System <autodist@mambasoft.it> 10.0.3-1mamba
- automatic version update by autodist

* Fri Jan 10 2014 Automatic Build System <autodist@mambasoft.it> 10.0.2-1mamba
- automatic version update by autodist

* Sun Dec 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 10.0.1-1mamba
- update to 10.0.1

* Sat Dec 07 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 10.0.0-1mamba
- update to 10.0.0

* Thu Nov 28 2013 Automatic Build System <autodist@mambasoft.it> 9.2.4-1mamba
- automatic version update by autodist

* Thu Nov 14 2013 Automatic Build System <autodist@mambasoft.it> 9.2.3-2mamba
- rebuilt after fixing broken rpm

* Wed Nov 13 2013 Automatic Build System <autodist@mambasoft.it> 9.2.3-1mamba
- automatic version update by autodist

* Sat Oct 19 2013 Automatic Build System <autodist@mambasoft.it> 9.2.2-1mamba
- automatic version update by autodist

* Sat Oct 05 2013 Automatic Build System <autodist@mambasoft.it> 9.2.1-1mamba
- update to 9.2.1

* Fri Aug 30 2013 Automatic Build System <autodist@mambasoft.it> 9.2.0-1mamba
- update to 9.2.0

* Fri Aug 02 2013 Automatic Build System <autodist@mambasoft.it> 9.1.6-1mamba
- automatic version update by autodist

* Thu Jul 18 2013 Automatic Build System <autodist@mambasoft.it> 9.1.5-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 9.1.4-1mamba
- automatic version update by autodist

* Wed May 22 2013 Automatic Build System <autodist@mambasoft.it> 9.1.3-1mamba
- automatic version update by autodist

* Wed May 01 2013 Automatic Build System <autodist@mambasoft.it> 9.1.2-1mamba
- automatic version update by autodist

* Sun Mar 31 2013 Automatic Build System <autodist@mambasoft.it> 9.1.1-1mamba
- automatic version update by autodist

* Mon Feb 25 2013 Automatic Build System <autodist@mambasoft.it> 9.1-1mamba
- automatic version update by autodist

* Fri Feb 22 2013 Automatic Build System <autodist@mambasoft.it> 9.0.3-1mamba
- automatic version update by autodist

* Sat Jan 26 2013 Automatic Build System <autodist@mambasoft.it> 9.0.2-1mamba
- automatic version update by autodist

* Mon Nov 19 2012 Automatic Build System <autodist@mambasoft.it> 9.0.1-1mamba
- automatic version update by autodist

* Wed Oct 10 2012 Automatic Build System <autodist@mambasoft.it> 9.0-1mamba
- automatic version update by autodist

* Sun Jul 22 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.4-3mamba
- added --enable-xvmc and --enable-gallium-g3dvl
- (source edit / x86_64) don't install libGL.la

* Fri Jul 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.4-2mamba
- rebuilt with llvm 3.1
- add --enable-gallium-egl
- reenable openvg

* Wed Jul 11 2012 Automatic Build System <autodist@mambasoft.it> 8.0.4-1mamba
- automatic version update by autodist

* Mon Jun 25 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.3-2mamba
- added --enable-vdpau

* Sat May 19 2012 Automatic Build System <autodist@mambasoft.it> 8.0.3-1mamba
- automatic version update by autodist

* Tue Apr 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.2-2mamba
- added debug package

* Thu Mar 22 2012 Automatic Build System <autodist@mambasoft.it> 8.0.2-1mamba
- automatic version update by autodist

* Fri Feb 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-1mamba
- update to 8.0.1

* Thu Feb 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0-1mamba
- update to 8.0

* Tue Jan 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 7.11.2-2mamba
- rebuilt with --with-egl-platforms=x11,drm and --enable-shared-glapi; removed --disable-gallium-egl

* Mon Nov 28 2011 Automatic Build System <autodist@mambasoft.it> 7.11.2-1mamba
- automatic update by autodist

* Fri Nov 18 2011 Automatic Build System <autodist@mambasoft.it> 7.11.1-1mamba
- automatic version update by autodist

* Sat Oct 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 7.11-2mamba
- configure options reworked to new version; re-enabled built of Nouveau Gallium driver

* Fri Sep 09 2011 Automatic Build System <autodist@mambasoft.it> 7.11-1mamba
- automatic version update by autodist

* Sat Jul 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 7.10.3-1mamba
- update to 7.10.3

* Fri Jun 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 7.10.2-4mamba
- also add --disable-gallium-radeon (replacing disable-gallium-r300)

* Fri Jun 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 7.10.2-3mamba
- disable radeon Gallium build due to slower performance yet

* Mon May 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 7.10.2-2mamba
- reworked configure options to enable more new things

* Tue May 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 7.10.2-1mamba
- update to 7.10.2

* Sat Feb 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 7.10-1mamba
- update to 7.10

* Thu Nov 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 7.8.2-4mamba
- rebuilt with GLES overlay enabled; added libGLESv1 and libGLESv2 packages

* Tue Oct 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 7.8.2-3mamba
- rebuilt with --enable-gallium-nouveau

* Tue Aug 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 7.8.2-2mamba
- added patch to fix refresh issues with intel driver (see https://bugs.freedesktop.org/show_bug.cgi?id=27420)

* Sat Jul 03 2010 Automatic Build System <autodist@mambasoft.it> 7.8.2-1mamba
- automatic update to 7.8.2 by autodist

* Thu Apr 08 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 7.6.1-1mamba
- update to 7.6.1

* Fri Jan 01 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 7.5.2-2mamba
- rebuild removing glew files that conflict with libglew package

* Sat Dec 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 7.5.2-1mamba
- update to 7.5.2

* Sat Jul 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 7.5-1mamba
- update to 7.5

* Sun Jun 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 7.5.rc3-1mamba
- update to 7.5.rc3

* Sat Jun 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.3-1mamba
- update to 7.4.3

* Wed Apr 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4-1mamba
- update to 7.4

* Wed Apr 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 7.2-1mamba
- automatic update to 7.2 by autodist

* Tue Dec 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.4-1mamba
- update to 7.0.4

* Thu Nov 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.3-4mamba
- radeon: add a patch that fixes a white titlebar whit compiz and maximized windows

* Wed Jun 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.3-3mamba
- libGL.la: remove reference to missing libGL.a

* Fri Jun 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.3-2mamba
- libGL-devel: added /usr/lib/libGL.la

* Fri May 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.3-1mamba
- update to 7.0.3

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.1-4mamba
- reverted previous patch: it is not necessary, libGL.so linked to nvidia 
  library works if /usr/lib/libnvidia-tls.so.1 is present and correct

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.1-3mamba
- make libGL.so point to Mesa libGL and require the package too

* Mon Sep 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.1-2mamba
- remove .so extension from libGL to avoid ldconfig reconfiguration

* Thu Aug 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.1-1mamba
- update to 7.0.1

* Sun May 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.3-2mamba
- libGL-Mesa-dri: set alternatives for libGL.so.1
- libOSMesa: fix for 'libOSMesa.so.6 is not a symlink'

* Fri May 11 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.3-1mamba
- update to 6.5.3

* Fri Mar 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.2.git20070315-2qilnx
- set DRI_DRIVER_INSTALL_DIR during make too

* Thu Mar 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.2.git20070315-1qilnx
- update to version 6.5.2.git20070315 by autospec
- rename source and patches from libMesa to Mesa
- build with USING_EGL=1 to fix undefined symbols

* Fri Jan 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.2-8qilnx
- fix make realclean patch for .so symlinks

* Fri Jan 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.2-7qilnx
- rebuilt

* Sun Dec 31 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.2-6qilnx
- move dri drivers back to /usr/lib/dri

* Fri Dec 29 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.2-5qilnx
- rebuild with MesaGLUT
- add glxinfo and glxgears applications

* Thu Dec 28 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.2-4qilnx
- libGL-devel: obsolete libGL-Mesa-X11-devel

* Wed Dec 27 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.2-3qilnx
- libGL-Mesa-dri: provide xorglibGL and obsolete libGL-Mesa-X11

* Wed Dec 20 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.2-2qilnx
- rebuild and repackage for Xorg 7.1

* Mon Dec 18 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.2-1qilnx
- update to version 6.5.2 by autospec

* Wed Oct 25 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.1-1qilnx
- package created by autospec
